[ОТВЕТИТЬ]
Опции темы
12.11.2014 13:14  
KirillHome
Есть ноутбук с Windows 8.1 (IE - отключен).
Нужно (для работы с гос.закупками) поставить КриптоПро.

Версия 3.6 (КриптоПро CSP 3.6 R4 - Сертифицированная версия КриптоПро CSP 3.6.7777 (Rambutan) от 08.10.2013) пишет, что работает только windows XP/2003/2008/8 и отказывается ставиться.

Кто-то сталкивался?
В интернетах пишут о пересборке установщика, с тем, что бы он понимал 8.1
Если честно - не очень хочется.

Есть версия 3.9 (КриптоПро CSP 3.9 Направленная на сертификацию версия КриптоПро CSP 3.9.8212 от 31.10.2014). Во-первых - не сертифицирована пока, во вторых - не известно - подойдёт ли ключ от 3.6 под неё.

Буду благодарен подсказкам более опытных товарищей.
 
12.11.2014 13:26  
Mtirt
Обязательно КриптоПро? VipNet не подойдет?
 
12.11.2014 13:34  
baggio
Цитата:
Сообщение от KirillHome
Есть ноутбук с Windows 8.1 (IE - отключен).
Нужно (для работы с гос.закупками) поставить КриптоПро.

Версия 3.6 (КриптоПро CSP 3.6 R4 - Сертифицированная версия КриптоПро CSP 3.6.7777 (Rambutan) от 08.10.2013) пишет, что работает только windows XP/2003/2008/8 и отказывается ставиться.

Кто-то сталкивался?
В интернетах пишут о пересборке установщика, с тем, что бы он понимал 8.1
Если честно - не очень хочется.

Есть версия 3.9 (КриптоПро CSP 3.9 Направленная на сертификацию версия КриптоПро CSP 3.9.8212 от 31.10.2014). Во-первых - не сертифицирована пока, во вторых - не известно - подойдёт ли ключ от 3.6 под неё.

Буду благодарен подсказкам более опытных товарищей.
1. то что не сертифицированна это всё фигня.
2. Ключ не подходит от 3.6 на 3.9 - у меня не подошел...
3. использовать нужно 3.9 - ключ есть в закромах.
4. Использовать експлорер нужно только 32 бита (их два в системе)..
не помню всех нюансов но мне удавалось заставить работать такую связку...
 
12.11.2014 13:42  
KirillHome
Куплен уже комплект под "РосЭлТорг"
В том числе - и лицензия на КриптоПро (который, вроде бы, является обязательным при работе с ЭП на этих площадках).
Понятно, что самый простой вариант - купить лицензию на переход с 3.6 на 3.9

Но я пока решил испробовать самый быстрый вариант: (источник - КиберФорум.Ru/windows8/thread1231337.html)

Цитата:
Потребовался мне КриптоПро 3.6 на Windows 8.1, так как есть лицензия на 3.6 то покупать версию 3.9 жаба задушила.
В связи с тем что нигде я такой инструкции не нашел, решил написать её сам(тем более у многих эта проблема возникает).

Инструкция:
1)Качаем с офф сайта крипто про 3.6 и открываем в winRar. Копируем файлы в отд папку.
2)Устанавливаем orca.exe
3)В нашей отд папке теперь есть файлы типа csp-x**-kc*-***, так как у меня x64 и хочется русский язык выбираю csp-x64-kc1-rus (kc1 это ур безопасности, на что влияет не знаю)
4) Щелкаем по этому файлу правой кнопкой и выбираем "Edit with Orca"
5)Делаем поиск(ctrl+f) фразы "VersionNT<=602" по таблицам.
6)Находим и исправляем на "VersionNT<=603".Сохраняем.
7) готово! можно запускать и устанавливать на win8.1
 
"Спасибо" KirillHome от:
12.11.2014 21:48  
KirillHome
Проверил.
  1. Windows 7 - поставил ORCA через SDK
  2. Windows 7 - Распаковал cspsetup.exe в папку cspsetup
  3. Windows 7 - Отредактировал в папке cspsetup файлы csp-x64-kc1-rus.msi, csp-x64-kc2-rus.msi, csp-x64-kc3-rus.msi через Orca (изменил VersionNT<=602 на VersionNT<=603). Мне нужны были файлы под x64 rus, поэтому выбрал эти файлы.
  4. Скопировал папку cspsetup с изменёнными файлами на машину с Windows 8.1 x64 rus
  5. Windows 8.1 - Запустил setup.exe из папки cspsetup

Всё прекрасно отработало.

Orca.msi на всякий случай положил в хранилище.
 
"Спасибо" KirillHome от:
 
Опции темы



Часовой пояс GMT +3, время: 04:57.

Все в прочитанное - Календарь - RSS - - Карта - Вверх 👫 Яндекс.Метрика
Форум сделан на основе vBulletin®
Copyright ©2000 - 2016, Jelsoft Enterprises Ltd. Перевод: zCarot и OlegON
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.